Probleme mit dem IonCube Loader

Hallo erst mal …

ich weis gar nicht ob ich hier richtig bin um Fragen zu stellen.

Ich probiers einfach mal.

Sollte ich in der “falschen Abteilung” sein, bitte einfach umschieben.

Danke

Ich hab Probleme mit dem IonCube Loader

In meiner error Log Datei taucht der IonCube Loader 10000 mal auf, als nicht geladen oder nicht gefunden.

Beispiel:

21.02.2019 21:11:54 clickandtools.de [client 91.6.92.0] AH01215: Failed loading /home/strato/www/cl/www.clickandtools.de/htdocs/ioncube_loader_sun_5.6.so:  ld.so.1: php: fatal: relocation error: file /home/strato/www/cl/www.clickandtools.de/htdocs/ioncube_loader_sun_5.6.so: symbol zend_block_interruptions: referenced symbol not found: /home/strato/http/premium/rid/93/77/57059377/htdocs/shopware.php
21.02.2019 21:12:00 clickandtools.de [client 66.249.64.0] AH01215: Failed loading /home/strato/www/cl/www.clickandtools.de/htdocs/ioncube_loader_sun_5.6.so:  ld.so.1: php: fatal: relocation error: file /home/strato/www/cl/www.clickandtools.de/htdocs/ioncube_loader_sun_5.6.so: symbol zend_block_interruptions: referenced symbol not found: /home/strato/http/premium/rid/93/77/57059377/htdocs/shopware.php

es folgen “Tausende” in folge. Das geht den ganzen Tag so weiter…

Der IonCube wird in der php.ini aufgerufen: zend_extension = /home/strato/www/cl/www.clickandtools.de/htdocs/ioncube_loader_sun_5.6.so

Was ist die "zend_extension"

Ich kenn Zend als Framework

Frage:: Wenn ich die “zend_extension” nicht mehr lade, fehlen mir dann bestimmte php klassen?

In einer Beschreibung hab ich gelesen:

Empfohlene Einstellungen

    APCu
    IonCube Loader in der Version 5.0 oder höher für den Fall, dass verschlüsslte Drittanbieter Plugins installiert werden sollen.

Allerdings wird seit SW 5.5.x keine verschlüsselten APPs mehr zugelassen oder verwendet, hab ich gehört oder gelesen.

Nur sicher bin ich mir nicht :slight_smile:

Frage:: Kann ich den IonCube aus meinem System entfernen oder funktioniert dann shopware nicht mehr?

Sollte erst mal reichen an Fragen

Vorab Danke für Eure Hilfe

 

PS Ich hab das gleiche bereits in “Aktivitäten” geschrieben ohne zu wissen wo das dann erscheint.

Verzeit meine unwissenheit…

Ich kenne Strato nicht, aber die Einstellung in der php.ini sieht komisch aus:

zend_extension = /home/strato/www/cl/www.clickandtools.de/htdocs/ioncube_loader_sun_5.6.so

Normalerweise sieht es so aus:

zend_extension=ioncube_loader_lin_5.6.so

In der Systeminfo (SW Backend) müsste das aber auch angezeigt werden, wenn es richtig eingebunden ist.

Ob du das ganze brauchst weiß ich nicht. Vielleicht hast du noch alte Plugins die verschlüsselt sind. Dies könnte man mit einem Plugin überprüfen:

 

1 Like

Danke für deine schnelle Antwort

keine Ahnung was ich damit machen soll.

https://github.com/FriendsOfShopware/FroshIonCubeChecker

Die Seite hatte ich schon mal auf, aber finde keine “Gebrauchsanweisung”

 

Andreas

 

Achso, na dann vielleicht so:

 

1 Like

wird getestet

Danke

 

Hallo R4M ,

ich hab mir den Frosch ins Nest geholt.

Woran sehe ich ob das Plugin auch was macht.

Für den ionCube sehe ich nirgends eine Gebrauchsanweisung…

Wo oder wie Startet man den Test

 

 

Das ist ein eigener Menüpunkt unter Einstellungen.

1 Like

Hab ich dann auch gleich gefunden.

Allerdings scheint das Teil nicht zu funktionieren.

Der stirbt bereits beim Laden.

"ionCube wird geladen " und dann nichts mehr

Fehlermeldung:

Ext.define(‘Shopware.apps.Index’, {
extend:‘Enlight.app.SubApplication’,
bulkLoad: true,
loadPath: ‘/backend/Index/load’,
controllers:[
‘Main’,
‘Widgets’,
‘ErrorReporter’,
‘ThemeCacheWarmUp’
],
requires: [
‘Shopware.container.Viewport’
],
views: [
‘Main’,
‘Menu’,
‘Footer’,
‘Search’,
‘widgets.Window’,
‘widgets.Sales’,
‘widgets.Upload’,
‘widgets.Visitors’,
‘widgets.Orders’,
‘widgets.Notice’,
‘widgets.Merchant’,
‘widgets.News’,
‘widgets.Base’,
‘merchant.Window’,
‘themeCache.ThemeCacheWarmUp’,
‘widgets.bi.Base’
],
models: [
‘Widget’,
‘WidgetSettings’,
‘Turnover’,
‘Batch’,
‘Customers’,
‘Visitors’,
‘Orders’,
‘News’,
‘Merchant’,
‘MerchantMail’,
‘ThemeCacheWarmUp’
],
stores: [
‘Widget’,
‘WidgetSettings’,
‘ThemeCacheWarmUp’
]
});

 

 

Ich kann mit der Fehlermeldung nicht viel anfangen, allerdings würde ich noch mal schauen ob der IonCube Loader korrekt installiert wird. Sollte dies der Fall sein, dann kann man dies im Backend unter Systeminfo -> PHP-Info kontrollieren. Falls dort nichts von IonCube Loader steht, dann ggf. beim Hoster nachfragen.

Ich glaube wir haben uns missverstanden.

Ich will nicht den ion Loader sondern den ioncube-check.html

Ich will den Loader los werden, da der auf dem Server Probleme verursacht und ich den nicht mehr benötige,

Zu diesem Zweck hab ich den „Cheker“ installiert um zu prüfen, ob wirklich keine App mehr verschlüsselt ist.

Danach will ich den

aus dem System entfernen.

Die # hab ich davor gesetzt.

Teste gerade ob irgend ein Programm Entzugserscheinung bekommt…

 

 

 

Ja ja ich hab schon verstanden, aber vielleicht brauchst du ihn aktuell um festzustellen ob du noch Plugins im Einsatz hast, die diesen IonCube benutzen. Ich kenne ja dein aktuelles System nicht. Oder du gehts alles fremdem Plugins mit der Hand durch - dauert dann allerdings etwas länger.

1 Like

Hallo R4M,

sit ich den

auf dem Server auskommentiert habe, ist die Serverlast und Fehlermenge drastisch gesunken.

Kein Modul ist ausgefallen.

Also denke ich, alles OK

 

Ich danke Euch für eure Hilfe

Andreas

Wie wird das Thema geschlossen?